Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
paymasters
List of top paymasters
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/paymasters \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "total_ops": 1
    }
  ],
  "next_page_params": {
    "page_size": 50,
    "page_token": "19,0xB98Cb1dA4F9BD640879F0bBCb30A541c84163406"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
page_size
integer

Number of items returned per page

Required range: 1 <= x <= 50
page_token
string

Page token for paging

Response

List of paymasters with pagination.

items
Paymaster · object[]
required
next_page_params
object
required
Example:
{
"page_size": 50,
"page_token": "19,0xB98Cb1dA4F9BD640879F0bBCb30A541c84163406"
}